petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscDualSpaceApplyAll

Apply all functionals from the dual space basis to the result of an evaluation at the points returned by PetscDualSpaceGetAllPoints()

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceApplyAll(PetscDualSpace sp, const PetscScalar *pointEval, PetscScalar *spValue)

### Input Parameters

| sp | - The PetscDualSpace object
| pointEval | - Evaluation at the points returned by PetscDualSpaceGetAllPoints()

### Output Parameter

spValue -The values of all dual space functionals

### See Also

PetscDualSpaceCreate()

### Level

developer

### Location

src/dm/dt/dualspace/interface/dualspace.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages